extends: existence
message: "Avoid using '%s'"
level: warning
ignorecase: true

tokens:
  - will
  - 'ALL CAPS'
  - underline
  - 'semicolon'
  - 'possessive'
  - "\\b\\w+'s\\b"
  - "\\baren't\\b"
  - "\\bcan't\\b"
  - "\\bcouldn't\\b"
  - "\\bdidn't\\b"
  - "\\bdoesn't\\b"
  - "\\bdon't\\b"
  - "\\bhadn't\\b"
  - "\\bhasn't\\b"
  - "\\bhaven't\\b"
  - "\\bhe'll\\b"
  - "\\bhe's\\b"
  - "\\bI'd\\b"
  - "\\bI'll\\b"
  - "\\bI'm\\b"
  - "\\bI've\\b"
  - "\\bisn't\\b"
  - "\\bit's\\b"
  - "\\blet's\\b"
  - "\\bshe'll\\b"
  - "\\bshe's\\b"
  - "\\bshouldn't\\b"
  - "\\bthat's\\b"
  - "\\bthey'll\\b"
  - "\\bthey're\\b"
  - "\\bthey've\\b"
  - "\\bwasn't\\b"
  - "\\bwe'll\\b"
  - "\\bwe're\\b"
  - "\\bwe've\\b"
  - "\\bweren't\\b"
  - "\\bwhat's\\b"
  - "\\bwon't\\b"
  - "\\bwouldn't\\b"
  - "\\byou'll\\b"
  - "\\byou're\\b"
  - "\\byou've\\b"

action:
  name: replace
  params:
    - will
    - present tense
